Package org.opensaml.security.credential

# Interface CredentialResolver

All Superinterfaces:
  `Resolver<Credential,CriteriaSet>`

All Known Subinterfaces:
  `KeyInfoCredentialResolver`

All Known Implementing Classes:
  `AbstractChainingCredentialResolver`, `AbstractCredentialResolver`, `AbstractCriteriaFilteringCredentialResolver`, `BasicProviderKeyInfoCredentialResolver`, `ChainingCredentialResolver`, `ChainingKeyInfoCredentialResolver`, `CollectionCredentialResolver`, `CollectionKeyInfoCredentialResolver`, `FilesystemCredentialResolver`, `KeyStoreCredentialResolver`, `LocalKeyInfoCredentialResolver`, `MetadataCredentialResolver`, `StaticCredentialResolver`, `StaticKeyInfoCredentialResolver`

public interface CredentialResolver extends Resolver<Credential,CriteriaSet>
A resolver which uses `Criterion` to resolve and return instances of `Credential`.

## Method Summary

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`